--------------------------------------------------------------------------------
-- GLOBALS
--------------------------------------------------------------------------------
Global( "wtMainForm", nil )
Global( "wtContextAuction", nil )
Global( "wtHeaderContextAuction", nil )

--------------------------------------------------------------------------------
-- INITIALIZATION
--------------------------------------------------------------------------------
function Init()
	wtContextAuction = stateMainForm:GetChildUnchecked("ContextAuction", false )
	if wtContextAuction then
		local wtMainContextAuction = wtContextAuction:GetChildChecked("Main", false )
		wtHeaderContextAuction = wtMainContextAuction:GetChildChecked("Header", false )
	else
		local wtMain = stateMainForm:GetNamedChildren()
		for k, v in wtMain do
			wtMainForm = v:GetChildUnchecked("Main", false )
			if wtMainForm then
				local wtHeader = wtMainForm:GetChildUnchecked("Header", false )
				if wtHeader then
					wtMainForm:Show( true )
					wtContextAuction = v
					wtHeaderContextAuction = wtHeader
					DnD:Init( 552, wtHeaderContextAuction, wtContextAuction, nil, nil, {-120,0,850,-20})
					local placement = wtMainForm:GetPlacementPlain()
					wtMainForm:SetPlacementPlain( placement )
					wtMainForm:Show( false )
				end
			end
		end
	end

	DnD:Init( 552, wtHeaderContextAuction, wtContextAuction, nil, nil, {-120,0,850,-20})
end
--------------------------------------------------------------------------------
Init()
--------------------------------------------------------------------------------